Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Class TokenException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--iaik.pkcs.pkcs11.TokenException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PKCS11Exception

public class TokenException
extends java.lang.Exception

The base class for all exceptions in this package. It is able to wrap a other exception from a lower layer.

Version:
  1.0
Author:
  Karl Scheibelhofer
See Also:
  Serialized Form

Field Summary
`protected java.lang.Exception` | `encapsulatedException_` An encapsulated (inner) exception.

Constructor Summary
`TokenException()` The default constructor.
`TokenException(java.lang.Exception encapsulatedException)` Constructor taking an other exception to wrap.
`TokenException(java.lang.String message)` Constructor taking an exception message.
`TokenException(java.lang.String message, java.lang.Exception encapsulatedException)` Constructor taking a message for this exception and an other exception to wrap.

Method Summary
`java.lang.Exception` | `getEncapsulatedException()` Get the encapsulated (wrapped) exception.
`java.lang.String` | `toString()` Returns the string representation of this exception, including the string representation of the wrapped (encapsulated) exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### encapsulatedException_

    protected java.lang.Exception encapsulatedException_

  An encapsulated (inner) exception. Possibly, an exception from a lower layer that ca be propagated to a higher layer only in wrapped form.

Constructor Detail

### TokenException

    public TokenException()

  The default constructor.

### TokenException

    public TokenException(java.lang.String message)

  Constructor taking an exception message.
  Parameters:
    `message` - The message giving details about the exception to ease debugging.

### TokenException

    public TokenException(java.lang.Exception encapsulatedException)

  Constructor taking an other exception to wrap.
  Parameters:
    `encapsulatedException` - The other exception the wrap into this.

### TokenException

    public TokenException(java.lang.String message,
                          java.lang.Exception encapsulatedException)

  Constructor taking a message for this exception and an other exception to wrap.
  Parameters:
    `message` - The message giving details about the exception to ease debugging.
    `encapsulatedException` - The other exception the wrap into this.

Method Detail

### getEncapsulatedException

    public java.lang.Exception getEncapsulatedException()

  Get the encapsulated (wrapped) exception. May be null.
  Returns:
    The encasulated (wrapped) exception, or null if there is no inner exception.

### toString

    public java.lang.String toString()

  Returns the string representation of this exception, including the string representation of the wrapped (encapsulated) exception.
  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    The string representation of exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18